<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:10 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>GenerateEclipseWtpComponent (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="GenerateEclipseWtpComponent (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/plugins/ide/eclipse/GenerateEclipseProject.html" title="class in org.gradle.plugins.ide.eclipse"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/plugins/ide/eclipse/GenerateEclipseWtpFacet.html" title="class in org.gradle.plugins.ide.eclipse"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/plugins/ide/eclipse/GenerateEclipseWtpComponent.html" target="_top">Frames</a></li>
<li><a href="GenerateEclipseWtpComponent.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_org.gradle.plugins.ide.api.GeneratorTask">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.plugins.ide.eclipse</div>
<h2 title="Class GenerateEclipseWtpComponent" class="title">Class GenerateEclipseWtpComponent</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.AbstractTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">org.gradle.api.DefaultTask</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.ConventionTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html" title="class in org.gradle.plugins.ide.api">org.gradle.plugins.ide.api.GeneratorTask</a>&lt;T&gt;</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/plugins/ide/api/XmlGeneratorTask.html" title="class in org.gradle.plugins.ide.api">org.gradle.plugins.ide.api.XmlGeneratorTask</a>&lt;<a href="../../../../../org/gradle/plugins/ide/eclipse/model/WtpComponent.html" title="class in org.gradle.plugins.ide.eclipse.model">WtpComponent</a>&gt;</li>
<li>
<ul class="inheritance">
<li>org.gradle.plugins.ide.eclipse.GenerateEclipseWtpComponent</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, <a href="../../../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>, <a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>, org.gradle.util.Configurable&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">GenerateEclipseWtpComponent</span>
extends <a href="../../../../../org/gradle/plugins/ide/api/XmlGeneratorTask.html" title="class in org.gradle.plugins.ide.api">XmlGeneratorTask</a>&lt;<a href="../../../../../org/gradle/plugins/ide/eclipse/model/WtpComponent.html" title="class in org.gradle.plugins.ide.eclipse.model">WtpComponent</a>&gt;</pre>
<div class="block">Generates the org.eclipse.wst.common.component settings file for Eclipse WTP.
 If you want to fine tune the eclipse configuration
 <p>
 At this moment nearly all configuration is done via <a href="../../../../../org/gradle/plugins/ide/eclipse/model/EclipseWtpComponent.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>EclipseWtpComponent</code></a>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.Namer.html" title="class in org.gradle.api">Task.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.plugins.ide.api.GeneratorTask">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.gradle.plugins.ide.api.<a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html" title="class in org.gradle.plugins.ide.api">GeneratorTask</a></h3>
<code><a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html#afterConfigured">afterConfigured</a>, <a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html#beforeConfigured">beforeConfigured</a>, <a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html#domainObject">domainObject</a>, <a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html#generator">generator</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.html#TASK_ACTION">TASK_ACTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DEPENDS_ON">TASK_DEPENDS_ON</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DESCRIPTION">TASK_DESCRIPTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_GROUP">TASK_GROUP</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_NAME">TASK_NAME</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_OVERWRITE">TASK_OVERWRITE</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_TYPE">TASK_TYPE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/plugins/ide/eclipse/GenerateEclipseWtpComponent.html#GenerateEclipseWtpComponent()">GenerateEclipseWtpComponent</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ide/eclipse/GenerateEclipseWtpComponent.html#configure(org.gradle.plugins.ide.eclipse.model.WtpComponent)">configure</a></strong>(<a href="../../../../../org/gradle/plugins/ide/eclipse/model/WtpComponent.html" title="class in org.gradle.plugins.ide.eclipse.model">WtpComponent</a>&nbsp;xmlComponent)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../org/gradle/plugins/ide/eclipse/model/WtpComponent.html" title="class in org.gradle.plugins.ide.eclipse.model">WtpComponent</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ide/eclipse/GenerateEclipseWtpComponent.html#create()">create</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/plugins/ide/eclipse/model/EclipseWtpComponent.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseWtpComponent</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ide/eclipse/GenerateEclipseWtpComponent.html#getComponent()">getComponent</a></strong>()</code>
<div class="block">The Eclipse WTP component model that contains details required to generate the settings file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ide/eclipse/GenerateEclipseWtpComponent.html#setComponent(org.gradle.plugins.ide.eclipse.model.EclipseWtpComponent)">setComponent</a></strong>(<a href="../../../../../org/gradle/plugins/ide/eclipse/model/EclipseWtpComponent.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseWtpComponent</a>&nbsp;component)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.plugins.ide.api.XmlGeneratorTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.plugins.ide.api.<a href="../../../../../org/gradle/plugins/ide/api/XmlGeneratorTask.html" title="class in org.gradle.plugins.ide.api">XmlGeneratorTask</a></h3>
<code><a href="../../../../../org/gradle/plugins/ide/api/XmlGeneratorTask.html#getXmlTransformer()">getXmlTransformer</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.plugins.ide.api.GeneratorTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.plugins.ide.api.<a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html" title="class in org.gradle.plugins.ide.api">GeneratorTask</a></h3>
<code><a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html#getInputFile()">getInputFile</a>, <a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html#getInputFileIfExists()">getInputFileIfExists</a>, <a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html#getInstantiator()">getInstantiator</a>, <a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html#getOutputFile()">getOutputFile</a>, <a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html#setInputFile(java.io.File)">setInputFile</a>, <a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html#setOutputFile(java.io.File)">setOutputFile</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.ConventionTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.ConventionTask</h3>
<code>conventionMapping, conventionMapping, getConventionMapping</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.AbstractTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.AbstractTask</h3>
<code>addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, newInputFile, newOutputDirectory, newOutputFile, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="GenerateEclipseWtpComponent()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GenerateEclipseWtpComponent</h4>
<pre>public&nbsp;GenerateEclipseWtpComponent()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="create()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>create</h4>
<pre>protected&nbsp;<a href="../../../../../org/gradle/plugins/ide/eclipse/model/WtpComponent.html" title="class in org.gradle.plugins.ide.eclipse.model">WtpComponent</a>&nbsp;create()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/plugins/ide/api/XmlGeneratorTask.html#create()">create</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/gradle/plugins/ide/api/XmlGeneratorTask.html" title="class in org.gradle.plugins.ide.api">XmlGeneratorTask</a>&lt;<a href="../../../../../org/gradle/plugins/ide/eclipse/model/WtpComponent.html" title="class in org.gradle.plugins.ide.eclipse.model">WtpComponent</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="configure(org.gradle.plugins.ide.eclipse.model.WtpComponent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>configure</h4>
<pre>protected&nbsp;void&nbsp;configure(<a href="../../../../../org/gradle/plugins/ide/eclipse/model/WtpComponent.html" title="class in org.gradle.plugins.ide.eclipse.model">WtpComponent</a>&nbsp;xmlComponent)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/plugins/ide/api/XmlGeneratorTask.html#configure(T)">configure</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/gradle/plugins/ide/api/XmlGeneratorTask.html" title="class in org.gradle.plugins.ide.api">XmlGeneratorTask</a>&lt;<a href="../../../../../org/gradle/plugins/ide/eclipse/model/WtpComponent.html" title="class in org.gradle.plugins.ide.eclipse.model">WtpComponent</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="getComponent()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComponent</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="../../../../../org/gradle/plugins/ide/eclipse/model/EclipseWtpComponent.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseWtpComponent</a>&nbsp;getComponent()</pre>
<div class="block">The Eclipse WTP component model that contains details required to generate the settings file.</div>
</li>
</ul>
<a name="setComponent(org.gradle.plugins.ide.eclipse.model.EclipseWtpComponent)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setComponent</h4>
<pre>public&nbsp;void&nbsp;setComponent(<a href="../../../../../org/gradle/plugins/ide/eclipse/model/EclipseWtpComponent.html" title="class in org.gradle.plugins.ide.eclipse.model">EclipseWtpComponent</a>&nbsp;component)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/plugins/ide/eclipse/GenerateEclipseProject.html" title="class in org.gradle.plugins.ide.eclipse"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/plugins/ide/eclipse/GenerateEclipseWtpFacet.html" title="class in org.gradle.plugins.ide.eclipse"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/plugins/ide/eclipse/GenerateEclipseWtpComponent.html" target="_top">Frames</a></li>
<li><a href="GenerateEclipseWtpComponent.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_org.gradle.plugins.ide.api.GeneratorTask">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
